%define upstream_name    Filter-Simple
%define upstream_version 0.94

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Simplified source filtering
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Filter/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Filter::Util::Call)
BuildRequires: perl(Text::Balanced) >= 1.970.0
BuildArch:  noarch

%description
The Problem
    Source filtering is an immensely powerful feature of recent versions of
    Perl. It allows one to extend the language itself (e.g. the Switch
    module), to simplify the language (e.g. Language::Pythonesque), or to
    completely recast the language (e.g. Lingua::Romana::Perligata).
    Effectively, it allows one to use the full power of Perl as its own,
    recursively applied, macro language.

    The excellent Filter::Util::Call module (by Paul Marquess) provides a
    usable Perl interface to source filtering, but it is often too powerful
    and not nearly as simple as it could be.

    To use the module it is necessary to do the following:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README demo
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.940.0-5.mga9
+ Revision: 1809297
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.940.0-4.mga8
+ Revision: 1504524
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.940.0-3.mga7
+ Revision: 1283904
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.940.0-2.mga7
+ Revision: 1164396
- rebuild with fixed rpm for missing autodeps

* Tue Sep 19 2017 tv <tv> 0.940.0-1.mga7
+ Revision: 1155916
- update to 0.94

* Sun Jun 19 2016 pterjan <pterjan> 0.910.0-6.mga6
+ Revision: 1027628
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.910.0-5.mga6
+ Revision: 949378
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.910.0-4.mga5
+ Revision: 789655
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.910.0-3.mga5
+ Revision: 751229
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.910.0-2.mga5
+ Revision: 684795
- Mageia 5 Mass Rebuild

* Thu Mar 13 2014 jquelin <jquelin> 0.910.0-1.mga5
+ Revision: 602796
- update to 0.91

* Fri Oct 18 2013 umeabot <umeabot> 0.880.0-3.mga4
+ Revision: 511685
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.880.0-2.mga3
+ Revision: 367499
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 04 2012 jquelin <jquelin> 0.880.0-1.mga2
+ Revision: 190533
- update to 0.88

* Fri Nov 04 2011 jquelin <jquelin> 0.870.0-2.mga2
+ Revision: 162807
- take priority over module bundled with perl 5.14.2

* Wed Jun 22 2011 jquelin <jquelin> 0.870.0-1.mga2
+ Revision: 112042
- update to 0.87

* Fri Feb 18 2011 jquelin <jquelin> 0.850.0-2.mga1
+ Revision: 53615
- rebuild

* Fri Jan 21 2011 jquelin <jquelin> 0.850.0-1.mga1
+ Revision: 29121
- mageia rebuild
- imported package perl-Filter-Simple

